
clear
set more off



use "$data\Pub_Pvt_scatters.dta"
cd "$output"

********************************************

gen l_state_app_at_state=log(nominal_approp)



egen cpi_all=mean(cpi), by(year)

gen real_app=nominal_approp/cpi_all


gen l_foreign_fresh=l_ENROLL_FRESH_NON_RES_ALIEN_DEG
gen foreign_fresh=ENROLL_FRESH_NON_RES_ALIEN_DEG



gen title_graph=""
replace title_graph="G Tech" if unitid==139755
replace title_graph="Indiana" if unitid==151351
replace title_graph="Iowa State" if unitid==153603
replace title_graph="MSU" if unitid==171100
replace title_graph="Ohio St" if unitid==204796
replace title_graph="Penn S" if unitid==214777
replace title_graph="Purdue" if unitid==243780
replace title_graph="SBU" if unitid==196097
replace title_graph="SUNY" if unitid==196088
replace title_graph="A&M" if unitid==228723
replace title_graph="Austin" if unitid==228778
replace title_graph="Arizona" if unitid==104179
replace title_graph="Berkeley" if unitid==110635
replace title_graph="Davis" if unitid==110644
replace title_graph="Irvine" if unitid==110653
replace title_graph="UCLA" if unitid==110662
replace title_graph="UCSD" if unitid==110680
replace title_graph="UCSB" if unitid==110705
replace title_graph="Colorado" if unitid==126614
replace title_graph="Florida" if unitid==134130
replace title_graph="Iowa" if unitid==153658
replace title_graph="Kansas" if unitid==155317
replace title_graph="Maryland" if unitid==163286
replace title_graph="Michigan" if unitid==170976
replace title_graph="Minnesota" if unitid==174066
replace title_graph="Missouri" if unitid==178396
replace title_graph="UNC" if unitid==199120
replace title_graph="Oregon" if unitid==209551
replace title_graph="Pitt" if unitid==215293
replace title_graph="UVA" if unitid==234076
replace title_graph="Washigton" if unitid==236948
replace title_graph="Wisconsin" if unitid==240444
replace title_graph="UIUC" if unitid==145637
replace title_graph="Rutgers" if unitid==186380

replace title_graph="USC" if unitid==123961
replace title_graph="Stanford" if unitid==243744
replace title_graph="Cal Tech" if unitid==110404
replace title_graph="Emory" if unitid==139658
replace title_graph="Nwestern" if unitid==147767
replace title_graph="Chicago" if unitid==144050
replace title_graph="Tulane" if unitid==160755
replace title_graph="JHU" if unitid==162928
replace title_graph="Brandeis" if unitid==165015
replace title_graph="Boston" if unitid==164988
replace title_graph="MIT" if unitid==166683
replace title_graph="Harvard" if unitid==166027
replace title_graph="Wash" if unitid==179867
replace title_graph="Princeton" if unitid==186131
replace title_graph="Cornell" if unitid==190415
replace title_graph="Rochester" if unitid==195030
replace title_graph="Columbia" if unitid==190150
replace title_graph="NYU" if unitid==193900
replace title_graph="Duke" if unitid==198419
replace title_graph="CWRU" if unitid==201645
replace title_graph="UPenn" if unitid==215062
replace title_graph="CMU" if unitid==211440
replace title_graph="Brown" if unitid==217156
replace title_graph="Vanderbilt" if unitid==221999
replace title_graph="Rice" if unitid==227757
replace title_graph="Yale" if unitid==130794



keep if AAU==1

forvalues y=2005/2005{
preserve

gen foreign_pvt=(ENROLL_FRESH_NON_RES_ALIEN_DEG) 
gen foreign_pub=(ENROLL_FRESH_NON_RES_ALIEN_DEG) 

keep if year==`y' | year==2012

sort unitid year

gen c_real_app=real_app-real_app[_n-1] if year==2012

gen c_foreign=ENROLL_FRESH_NON_RES_ALIEN_DEG-ENROLL_FRESH_NON_RES_ALIEN_DEG[_n-1] if year==2012

gen c_log_foreign=l_ENROLL_FRESH_NON_RES_ALIEN_DEG-l_ENROLL_FRESH_NON_RES_ALIEN_DEG[_n-1] if year==2012

gen log_foreign_pub=log(foreign_pub)

gen c_log_foreign_pub=log_foreign_pub-log_foreign_pub[_n-1] if year==2012

gen log_foreign_pvt=log(foreign_pvt)

gen c_log_foreign_pvt=log_foreign_pvt-log_foreign_pvt[_n-1] if year==2012


gen c_foreign_pvt=foreign_pvt-foreign_pvt[_n-1] if year==2012
gen c_foreign_pub=foreign_pub-foreign_pub[_n-1] if year==2012

drop l_state_app_at_state
gen l_state_app_at_state=log(real_app)

gen c_l_app_at_state= (l_state_app_at_state - l_state_app_at_state[_n-1]) if year==2012


twoway (scatter c_log_foreign c_l_app_at_state if Private==0, sort mcolor(navy) mlabel(title_graph) mlabposition(12) mlabcolor(navy) ytitle(Change in Log(Foreign Freshmen)) xtitle(Change in Log(Total Appropriations in State))) (lfit c_log_foreign c_l_app_at_state if Private==0, sort lcolor(navy) ) (scatter c_log_foreign c_l_app_at_state if Private==1, sort mcolor(cranberry) msymbol(square_hollow) mlabposition(12) mlabel(title_graph)  mlabcolor(cranberry)) (lfit c_log_foreign c_l_app_at_state if Private==1, sort lcolor(cranberry)) , scheme(s1color) legend(order(1 "Public" 3 "Private") )   title(American Association of Universities (2005-12)) 


graph export AAU_univ_`y'_April2018.png, replace width(1800)

restore
}


