
clear
set more off

use "$data\MI_CA_schools.dta"
cd "$output"



********************************************
set scheme s1color

gen name=""
replace name="UC Berkeley" if org_full_nm=="University of California: Berkeley"
replace name="UC Davis" if org_full_nm=="University of California: Davis"
replace name="Cal State System" if org_full_nm=="California State Universities"
replace name="Eastern Michigan" if org_full_nm=="Eastern Michigan University"
replace name="University of Michigan" if org_full_nm=="University of Michigan"
replace name="Michigan State" if org_full_nm=="Michigan State University"

foreach name in "University of Michigan" "UC Berkeley" "Michigan State" "UC Davis" "Eastern Michigan" "Cal State System"{
twoway (connected foreign year, sort) (connected outofstate year, sort msymbol(triangle)) (connected instate year, sort yaxis(2) msymbol(square_hollow)) if name=="`name'", legend(rows(1) size(small)) ylabel(#3, nogrid axis(1)) title("`name'") ylabel(#2, nogrid axis(2)) xlabel(, angle(default)) scheme(s1color)  ytitle(, axis(1)) ytitle("",axis(2)) xlabel(1996(4)2012) saving("`name'", replace)
}

grc1leg "University of Michigan.gph" "UC Berkeley.gph" "Michigan State.gph" "UC Davis.gph" "Eastern Michigan.gph" "Cal State System.gph", c(2)  legendfrom("UC Davis.gph") l1("Foreign and Out of State Students") r1("In State Students")
graph display, ysize(6) xsize(5)

graph export MI_CA_June2018.png, replace width(1800)
