clear
set more off

use "$data\Univ_data.dta"

cd "$output"

***************************************************************************************************************************

local ASC_enroll = "ENROLL_FRESH_NON_RES_ALIEN_DEG IN_STATE_FRESHMEN AMERICAN_OOS"

***********************************
*** Find balanced sample - within a year, the same number of universities report all 3 enrollment categories:
gen flag=0
foreach data in ASC{
	foreach dep_vars in enroll{
			gen `data'_`dep_vars'_flag=0
			replace flag=0
			foreach i in ``data'_`dep_vars''{
				replace flag=1 if l_`i'==.
			}
			replace `data'_`dep_vars'_flag=1 if flag==1
	}
}


*** Tables 2 and 3 OLS
**** Enrollment
foreach indep_var in state_ap { 
	foreach data in ASC{
		foreach dep_vars in enroll{
			local k=0
			foreach j in Research AAU nonResearch{
				preserve
				keep if `j'==1
				drop if `data'_`dep_vars'_flag==1
				sort unitid year
				foreach i in ``data'_`dep_vars''{
					
					xtreg l_`i' l_`indep_var' l_population y1-y17  [w=weight], fe cluster(unitid)
					if `k'==0{
						outreg2 `indep_var' l_population  using reg_`dep_vars'_`indep_var'_`data'.xls, keep(l_`indep_var' l_population ) replace cttop("`: variable label `i''")  se asterisk(se) label bdec(3) sdec(3)
					}
					else{
						outreg2 `indep_var' l_population  using reg_`dep_vars'_`indep_var'_`data'.xls, keep(l_`indep_var' l_population )  append cttop("`: variable label `i''")  se asterisk(se) label bdec(3) sdec(3)
					}
					local k=1
					
								
					
				}

				restore
			}
		}
	}
}
