
clear
set more off

use "$data\F1_data.dta"
cd "$output"


***************************************************************************************************************************

local ASC_enroll = "ENROLL_FRESH_NON_RES_ALIEN_DEG IN_STATE_FRESHMEN AMERICAN_OOS"

************************************************************************
*** Figure out "balanced" - in the sense - within a year, the same number of universities report all 3 enrollment categories:
gen flag=0
foreach data in Delta ASC{
	foreach dep_vars in  enroll{
			gen `data'_`dep_vars'_flag=0
			replace flag=0
			foreach i in ``data'_`dep_vars''{
				replace flag=1 if l_`i'==.
			}
			replace `data'_`dep_vars'_flag=1 if flag==1
	}
}


gen nom_approp_minus=nominal_approp - 100000*state_ap
gen l_state_app_at_state=log(nom_approp_minus)
*gen l_state_app_at_state=log(nominal_approp)
local ivs="l_state_app_at_state"


local ASC_enroll = "china_ba china_ma china_phd"

*** IV for Appropriations
foreach indep_var in state_ap{
	foreach data in Delta ASC{
		foreach dep_vars in enroll{
			local k=0
			foreach j in Research   AAU   nonResearch{

					preserve
					keep if `j'==1
					drop if `data'_`dep_vars'_flag==1
					sort UnitID year
					foreach i in ``data'_`dep_vars''{
						foreach iv in `ivs'{
							xtivreg2 l_`i' (l_`indep_var' = `iv') l_population y1-y17 [w=weight], fe cluster(state_of_college) 
							
							xtreg l_`i'  `iv' l_population y1-y17 [w=weight] if e(sample)==1, fe cluster(state_of_college)  
							local p_val=2*ttail(e(df_r),abs( _b[`iv']/_se[`iv']))
							local p_val=round(`p_val',0.0001)

	
							xtivreg2 l_`i' (l_`indep_var' = `iv') l_population y1-y17 [w=weight], fe cluster(state_of_college) first 
							summ l_`i' if e(sample)==1
							local mean_dep=r(mean)
							local mean_dep=round(`mean_dep',0.01)
							mat first = e(first)
							scalar pr2 = first[3,1]
							scalar Fstat = first[4,1]
							scalar Fpval = first[6,1]
							
							if `k'==0{
								outreg2 l_`indep_var' l_population  using IV_`dep_vars'_`indep_var'_`data'_China.xls, keep(l_`indep_var' l_population) replace cttop("`: variable label `i''") addstat(Partial R-squared, pr2, F-Test of ivs, Fstat) addtext(Sample, `j', Data, `data', Style, "Logs", Weights, "Undergrad Population", Fixed Effects, "University and Year", Cluster, "State Level", IV, `iv') se asterisk(se) label bdec(3) sdec(3)
							}
							else{
								outreg2 l_`indep_var' l_population  using IV_`dep_vars'_`indep_var'_`data'_China.xls, keep(l_`indep_var' l_population)  append cttop("`: variable label `i''") addstat(Partial R-squared, pr2, F-Test of ivs, Fstat) addtext(Sample, `j', Data, `data', Style, "Logs", Weights, "Undergrad Population", Fixed Effects, "University and Year", Cluster, "State Level", IV, `iv') se asterisk(se) label bdec(3) sdec(3)
							}
						
							local k=1
							
						
					}	
				}

				restore
			}
		}
	}
}



