
clear
set more off


use "$data\Univ_data.dta"
cd "$output"

*******************************************************************************************************



*** Create Total OOS and Total In state
label var OOS_UGRAD "Out-state Undergrads"
label var IN_STATE_UGRAD "In-state Undergrads"



foreach indep_var in ENROLL_FRESH_NON_RES_ALIEN_DEG{
	foreach data in ASC{
		foreach dep_vars in r_tuitionrev{
			local k=0
			foreach j in Research AAU nonResearch{
				preserve
				keep if `j'==1
				sort unitid year
				foreach i in r_tuitionrev {

					xtreg l_`i' l_`indep_var' l_population y1-y17  [w=weight], fe cluster(unitid)
					summ `i' if e(sample)==1
					local mean_dep=r(mean)
					local mean_dep=round(`mean_dep')
					if `k'==0{
						outreg2 `indep_var'  using reg_enroll_tuitionrev.xls, keep(l_`indep_var' l_population) replace cttop("`: variable label `i''") addtext(Sample, `j', Data, `data', Style, "Levels", Weights, "Undergrad Population", Fixed Effects, "University Only") se asterisk(se) label bdec(3) sdec(3)
					}
					else{
						outreg2 `indep_var'  using reg_enroll_tuitionrev.xls, keep(l_`indep_var' l_population)  append cttop("`: variable label `i''") addtext(Sample, `j', Data, `data', Style, "Levels", Weights, "Undergrad Population", Fixed Effects, "University Only") se asterisk(se) label bdec(3) sdec(3)
					}
					local k=1
					
					
				}

				restore
			}
		}
	}
}




